<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Dashboard</title>

    <!-- Bootstrap core CSS-->
    <link href="../static/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="../static/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">

    <!-- Page level plugin CSS-->
    <link href="../static/vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
    

    <!-- Custom styles for this template-->
    <link href="../static/css/sb-admin.css" rel="stylesheet">

  </head>

  <body id="page-top">

    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">

      <a class="navbar-brand mr-1" href="/employee" id="employee-name">Employee</a>

      <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
        <i class="fas fa-bars"></i>
      </button>

      <!-- Navbar Search -->
      <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">
        <div class="input-group">
          <input type="text" class="form-control" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
          <div class="input-group-append">
            <button class="btn btn-primary" type="button">
              <i class="fas fa-search"></i>
            </button>
          </div>
        </div>
      </form>

      <!-- Navbar -->
      <ul class="navbar-nav ml-auto ml-md-0">
          <li class="nav-item dropdown no-arrow">
          <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-user-circle fa-fw"></i>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
            <a class="dropdown-item" href="/" data-toggle="modal" data-target="#logoutModal">Logout</a>
          </div>
        </li>
      </ul>

    </nav>

    <div id="wrapper">

      <!-- Sidebar -->
      <ul class="sidebar navbar-nav">
        <li class="nav-item active">
          <a class="nav-link" href="/employee">
            <i class="fas fa-fw fa-suitcase"></i>
            <span>Profile</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/employee/prime">
            <i class="fas fa-fw fa-user-circle"></i>
            <span>Prime Number</span></a>
        </li>
      </ul>

      <div id="content-wrapper">

        <div class="container-fluid">
          <div id="employee">
          <!-- Breadcrumbs-->
          <ol class="breadcrumb">
            <li class="breadcrumb-item">
              <a href="#">Find the Nth prime number</a>
            </li>
            
          </ol>
            
          
          <!-- DataTables Example -->
          
          <div>
            <form>
              <div class="form-group">
                  <label for="add-employee-email" class="form-control-label">Enter N</label>
                  <input type="text" class="form-control" id="number">
              </div>        
            </form>
          </div>
          <div>
              <button type="button" class="btn btn-success btn-xs" style="margin-right: 30px"  id="123_prime"><i class="fa fa-pencil"></i>calculate</button>  
          </div>  
          
        <!-- /.container-fluid -->
        
        
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" id="123_logout" href="/">Logout</a>
          </div>
        </div>
      </div>
    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="../static/vendor/jquery/jquery.min.js"></script>
    <script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="../static/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Page level plugin JavaScript-->
    <script src="../static/vendor/chart.js/Chart.min.js"></script>
    <script src="../static/vendor/datatables/jquery.dataTables.js"></script>
    
    <script src="../static/vendor/jquery/jquery.serializejson.js"></script>
    <script src="../static/vendor/datatables/dataTables.bootstrap4.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="../static/js/sb-admin.min.js"></script>

    <!-- Demo scripts for this page-->
    <script src="../static/js/demo/datatables-demo.js"></script>
    <script src="../static/js/demo/chart-area-demo.js"></script>
    
    
    <script>
    $(document).on('click', '.btn', function(e){
        e.preventDefault();
        spt_string = this.id.split("_");
        var action = spt_string[1];
        var id = spt_string[0];
        var n = document.getElementById('number').value;
        if(action=="prime" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/prime/'+ n ;
          $.ajax({
              type: 'GET',
              url: url,
              dataType: 'json',
              headers: {"Authorization": sessionStorage.getItem('token')}, 
              success: PrimeSucceeded,
              error: PrimeFailed
          });
 
        }
        
        else if(action=="logout" )
        {
          var url = 'http://{{API_SERVER}}:8091/api/v1/logoutaccess';
          
          $.ajax({
              type: 'DELETE',
              url: url,
              headers: {"Authorization": sessionStorage.getItem('token')},
              success: LogoutSucceeded,
              error: LogoutFailed
          });
        }
        

        function PrimeSucceeded(result,xhr) 
        {
          alert(result['data']['message']);

          location.reload();
          
    
        } 
        function PrimeFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to add profile : "+ content)
          
        }

        
        function LogoutSucceeded(result,xhr) 
        {
          
          window.location.href='/';
    
        } 
        function LogoutFailed(result,xhr) 
        {
          var content = result.responseJSON.error.message;
          alert("Unable to logout : "+ content)
        }

        

      });

  </script>

  </body>

</html>
